## kig 20.12.2

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kig VERSION ${RELEASE_SERVICE_VERSION})

find_package(Qt5Svg REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5XmlPatterns 5.5.1)

find_package(ECM 1.7 REQUIRED NO_MODULE)
find_package(KF5Parts REQUIRED)
find_package(KF5DocTools REQUIRED)
find_package(KF5I18n REQUIRED)
find_package(KF5TextEditor REQUIRED)
find_package(KF5IconThemes REQUIRED)
find_package(KF5ConfigWidgets REQUIRED)
find_package(KF5Archive REQUIRED)
find_package(KF5XmlGui 5.1 REQUIRED)
find_package(KF5Crash 5.15 REQUIRED)
find_package(KF5CoreAddons REQUIRED)

set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

set (KDE5_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KIG VERSION_HEADER kig_version.h)

add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${Qt5Gui_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE5_INCLUDES})


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

include(KigConfigureChecks.cmake)

find_package(BoostPython)

add_subdirectory( doc )
add_subdirectory( icons )
add_subdirectory( kig )
add_subdirectory( mimetypes )
add_subdirectory( macros )
add_subdirectory( data )
add_subdirectory( pykig )

if(BoostPython_FOUND)
  add_subdirectory( scripting )
  add_definitions(-DKIG_ENABLE_PYTHON_SCRIPTING)
endif(BoostPython_FOUND)

set_package_properties(
   BoostPython PROPERTIES
   DESCRIPTION "Python scripting support in Boost"
   URL "https://www.boost.org/"
   TYPE OPTIONAL
   PURPOSE "Kig can optionally use Boost.Python for Python scripting"
)

set_package_properties(
   Qt5XmlPatterns PROPERTIES
   DESCRIPTION "Qt5 XmlPatterns Module"
   URL "https://qt.io/"
   TYPE OPTIONAL
   PURPOSE "Kig uses the XML Patterns module in Qt to support Geogebra files"
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include_directories( ${CMAKE_SOURCE_DIR}/modes )
if(BoostPython_FOUND)
  include_directories(${BoostPython_INCLUDE_DIRS})
endif(BoostPython_FOUND)

# kigpart

set(kigpart_PART_SRCS
   objects/angle_type.cc
   objects/arc_type.cc
   objects/base_type.cc
   objects/bogus_imp.cc
   objects/centerofcurvature_type.cc
   objects/circle_imp.cc
   objects/circle_type.cc
   objects/common.cc
   objects/conic_imp.cc
   objects/conic_types.cc
   objects/cubic_imp.cc
   objects/cubic_type.cc
   objects/curve_imp.cc
   objects/intersection_types.cc
   objects/inversion_type.cc
   objects/line_imp.cc
   objects/line_type.cc
   objects/locus_imp.cc
   objects/object_calcer.cc
   objects/object_drawer.cc
   objects/object_factory.cc
   objects/object_holder.cc
   objects/object_imp.cc
   objects/object_imp_factory.cc
   objects/object_type.cc
   objects/object_type_factory.cc
   objects/other_imp.cc
   objects/other_type.cc
   objects/point_imp.cc
   objects/point_type.cc
   objects/polygon_imp.cc
   objects/polygon_type.cc
   objects/bezier_imp.cc
   objects/bezier_type.cc
   objects/special_imptypes.cc
   objects/tangent_type.cc
   objects/tests_type.cc
   objects/text_imp.cc
   objects/text_type.cc
   objects/transform_types.cc
   objects/vector_type.cc
   misc/argsparser.cpp
   misc/builtin_stuff.cc
   misc/calcpaths.cc
   misc/common.cpp
   misc/conic-common.cpp
   misc/coordinate.cpp
   misc/coordinate_system.cpp
   misc/cubic-common.cc
   misc/equationstring.cc
   misc/goniometry.cc
   misc/guiaction.cc
   misc/kigcoordinateprecisiondialog.cpp
   misc/kigfiledialog.cc
   misc/kiginputdialog.cc
   misc/kignumerics.cpp
   misc/kigpainter.cpp
   misc/kigtransform.cpp
   misc/lists.cc
   misc/object_constructor.cc
   misc/object_hierarchy.cc
   misc/rect.cc
   misc/screeninfo.cc
   misc/special_constructors.cc
   misc/unit.cc
   modes/base_mode.cc
   modes/construct_mode.cc
   modes/dragrectmode.cc
   modes/edittype.cc
   modes/historydialog.cc
   modes/label.cc
   modes/linkslabel.cpp
   modes/macro.cc
   modes/macrowizard.cc
   modes/mode.cc
   modes/moving.cc
   modes/normal.cc
   modes/popup/popup.cc
   modes/popup/objectchooserpopup.cc
   modes/popup/propertiesactionsprovider.cc
   modes/popup/objectchooserpopup.cc
   modes/popup/objecttypeactionsprovider.cc
   modes/popup/nameobjectactionsprovider.cc
   modes/popup/objectconstructoractionsprovider.cc
   modes/popup/builtindocumentactionsprovider.cc
   modes/popup/builtinobjectactionsprovider.cc
   modes/textlabelwizard.cc
   modes/typesdialog.cpp
   filters/asyexporter.cc
   filters/asyexporteroptions.cc
   filters/asyexporterimpvisitor.cc
   filters/cabri-filter.cc
   filters/cabri-utils.cc
   filters/drgeo-filter.cc
   filters/exporter.cc
   filters/filter.cc
   filters/filters-common.cc
   filters/imageexporteroptions.cc
   filters/kgeo-filter.cc
   filters/kseg-filter.cc
   filters/latexexporter.cc
   filters/latexexporteroptions.cc
   filters/native-filter.cc
   filters/pgfexporterimpvisitor.cc
   filters/svgexporter.cc
   filters/svgexporteroptions.cc
   filters/xfigexporter.cc
   kig/kig_commands.cpp
   kig/kig_document.cc
   kig/kig_part.cpp
   kig/kig_view.cpp
)

if (Qt5XmlPatterns_FOUND)
  set(kigpart_PART_SRCS ${kigpart_PART_SRCS}
  geogebra/geogebratransformer.cpp
  geogebra/geogebrasection.cpp
  filters/geogebra-filter.cpp)
  qt5_add_resources(kigpart_PART_SRCS ${CMAKE_SOURCE_DIR}/geogebra/geogebra.qrc)
  add_definitions(-DWITH_GEOGEBRA=1)
endif(Qt5XmlPatterns_FOUND)

ki18n_wrap_ui(kigpart_PART_SRCS
   modes/typeswidget.ui
   modes/edittypewidget.ui
   modes/historywidget.ui
   filters/asyexporteroptionswidget.ui
   filters/imageexporteroptionswidget.ui
   filters/latexexporteroptionswidget.ui
   filters/svgexporteroptionswidget.ui
   misc/kigcoordinateprecisiondialog.ui
)

if(BoostPython_FOUND)
  set(kigpart_PART_SRCS ${kigpart_PART_SRCS}
     modes/popup/scriptactionsprovider.cc
     scripting/newscriptwizard.cc
     scripting/python_scripter.cc
     scripting/python_type.cc
     scripting/script-common.cc
     scripting/script_mode.cc
  )

  kde_source_files_enable_exceptions(scripting/python_scripter.cc)
endif(BoostPython_FOUND)


add_library(kigpart MODULE ${kigpart_PART_SRCS})
generate_export_header(kigpart)

target_link_libraries(kigpart
  Qt5::Gui
  Qt5::Svg
  Qt5::PrintSupport
  KF5::Crash
  KF5::Parts
  KF5::I18n
  KF5::TextEditor
  KF5::IconThemes
  KF5::ConfigWidgets
  KF5::Archive
  ${KDE5_KUTILS_LIBS}
)

if(BoostPython_FOUND)
  target_link_libraries(kigpart ${BoostPython_LIBRARIES} ${KDE5_KTEXTEDITOR_LIBS})
endif(BoostPython_FOUND)

if (Qt5XmlPatterns_FOUND)
  target_link_libraries(kigpart Qt5::XmlPatterns)
endif(Qt5XmlPatterns_FOUND)

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(TARGETS kigpart DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES org.kde.kig.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# unit tests
if (BUILD_TESTING)
  add_subdirectory(tests)
endif ()

=== mimetypes/CMakeLists.txt ===
ecm_install_icons(ICONS
  22-mimetypes-application-x-kig.png
  64-mimetypes-application-x-kig.png
  48-mimetypes-application-x-kig.png
  sc-mimetypes-application-x-kig.svgz
  32-mimetypes-application-x-kig.png
  16-mimetypes-application-x-kig.png
  128-mimetypes-application-x-kig.png
  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)

=== scripting/CMakeLists.txt ===
install(FILES
   python-kig.xml
   DESTINATION ${CMAKE_INSTALL_DATADIR}/katepart5/syntax)

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Qt5Test REQUIRED)

=== debian/changelog ===
kig (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:11:31 +0100

kig (4:20.12.1-1) unstable; urgency=medium

  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 08 Jan 2021 01:05:45 +0100

kig (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, Maximiliano Curia from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 03 Jan 2021 09:28:57 +0100

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 1.7~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.1~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python3:any,
               qtbase5-dev (>= 5.4),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Suggests: khelpcenter
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 20.12.3

=== debian/changelog ===
kig (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:20:19 +0000

## kig 21.08.0

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kig
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
@@ -22,7 +23,7 @@
                libkf5texteditor-dev,
                libkf5xmlgui-dev (>= 5.1~),
                libqt5svg5-dev (>= 5.4),
-               libqt5xmlpatterns5-dev,
+               libqt5xmlpatterns5-dev (>= 5.5.1~),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                python3:any,
@@ -36,7 +37,7 @@
 Package: kig
 Architecture: any
 Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter
 Description: interactive geometry tool
  Kig is an application for interactive geometric construction, allowing

## kig 21.08.1

=== debian/changelog ===
kig (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:33:55 +0100

kig (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:02:36 +0100

kig (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:55:54 +0100

kig (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:34:06 +0100

kig (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:43:41 +0100

kig (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:40:21 +0100

kig (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:06:47 +0100

kig (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:36:03 +0100

## kig 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})
@@ -13,7 +13,9 @@
 find_package(Qt5PrintSupport REQUIRED)
 find_package(Qt5XmlPatterns 5.5.1)
 
-find_package(ECM 1.7 REQUIRED NO_MODULE)
+find_package(ECM REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
+
 find_package(KF5Parts REQUIRED)
 find_package(KF5DocTools REQUIRED)
 find_package(KF5I18n REQUIRED)
@@ -24,8 +26,6 @@
 find_package(KF5XmlGui 5.1 REQUIRED)
 find_package(KF5Crash 5.15 REQUIRED)
 find_package(KF5CoreAddons REQUIRED)
-
-set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
 set (KDE5_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
 
@@ -242,6 +242,8 @@
 add_library(kigpart MODULE ${kigpart_PART_SRCS})
 generate_export_header(kigpart)
 
+kcoreaddons_desktop_to_json(kigpart kig/kig_part.desktop)
+
 target_link_libraries(kigpart
   Qt5::Gui
   Qt5::Svg
@@ -268,7 +270,7 @@
 if (KF5DocTools_FOUND)
     kdoctools_install(po)
 endif()
-install(TARGETS kigpart DESTINATION ${PLUGIN_INSTALL_DIR})
+install(TARGETS kigpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
 install(FILES org.kde.kig.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # unit tests

=== debian/changelog ===
kig (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:11:04 +0000

kig (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:17:36 +0000

kig (4:21.12.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 18:46:29 +0000

kig (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:25:31 +0000

kig (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:22:36 +0000

kig (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:06:57 +0000

kig (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:17:49 +0000

kig (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:25 +0000

kig (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:40:21 +0000

## kig 22.08.1

=== debian/changelog ===
kig (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:27 +0100

kig (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:16 +0100

kig (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:27:51 +0100

kig (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:02:00 +0100

kig (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:00:20 +0100

kig (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:22 +0100

## kig 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,33 +1,18 @@
-
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})
 
-find_package(Qt5Svg REQUIRED)
-find_package(Qt5PrintSupport REQUIRED)
-find_package(Qt5XmlPatterns 5.5.1)
+
+set (KDE5_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
-
-find_package(KF5Parts REQUIRED)
-find_package(KF5DocTools REQUIRED)
-find_package(KF5I18n REQUIRED)
-find_package(KF5TextEditor REQUIRED)
-find_package(KF5IconThemes REQUIRED)
-find_package(KF5ConfigWidgets REQUIRED)
-find_package(KF5Archive REQUIRED)
-find_package(KF5XmlGui 5.1 REQUIRED)
-find_package(KF5Crash 5.15 REQUIRED)
-find_package(KF5CoreAddons REQUIRED)
-
-set (KDE5_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
 
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
@@ -38,11 +23,34 @@
 include(FeatureSummary)
 include(GenerateExportHeader)
 include(ECMSetupVersion)
+include(KDEGitCommitHooks)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.90.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+
+find_package(KF5Parts ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5I18n ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5TextEditor ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5IconThemes ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5Archive ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Svg ${QT_REQUIRED_VERSION} REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}PrintSupport ${QT_REQUIRED_VERSION}REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}XmlPatterns ${QT_REQUIRED_VERSION})
+
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KIG VERSION_HEADER kig_version.h)
 
-add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-include_directories (${Qt5Gui_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE5_INCLUDES})
+add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_KEYWORDS)
+include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
 
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
@@ -75,8 +83,8 @@
 )
 
 set_package_properties(
-   Qt5XmlPatterns PROPERTIES
-   DESCRIPTION "Qt5 XmlPatterns Module"
+   Qt${QT_MAJOR_VERSION}XmlPatterns PROPERTIES
+   DESCRIPTION "Qt${QT_MAJOR_VERSION} XmlPatterns Module"
    URL "https://qt.io/"
    TYPE OPTIONAL
    PURPOSE "Kig uses the XML Patterns module in Qt to support Geogebra files"
@@ -203,16 +211,129 @@
    kig/kig_document.cc
    kig/kig_part.cpp
    kig/kig_view.cpp
+
+
+   objects/angle_type.h
+   objects/arc_type.h
+   objects/base_type.h
+   objects/bogus_imp.h
+   objects/centerofcurvature_type.h
+   objects/circle_imp.h
+   objects/circle_type.h
+   objects/common.h
+   objects/conic_imp.h
+   objects/conic_types.h
+   objects/cubic_imp.h
+   objects/cubic_type.h
+   objects/curve_imp.h
+   objects/intersection_types.h
+   objects/inversion_type.h
+   objects/line_imp.h
+   objects/line_type.h
+   objects/locus_imp.h
+   objects/object_calcer.h
+   objects/object_drawer.h
+   objects/object_factory.h
+   objects/object_holder.h
+   objects/object_imp.h
+   objects/object_imp_factory.h
+   objects/object_type.h
+   objects/object_type_factory.h
+   objects/other_imp.h
+   objects/other_type.h
+   objects/point_imp.h
+   objects/point_type.h
+   objects/polygon_imp.h
+   objects/polygon_type.h
+   objects/bezier_imp.h
+   objects/bezier_type.h
+   objects/special_imptypes.h
+   objects/tangent_type.h
+   objects/tests_type.h
+   objects/text_imp.h
+   objects/text_type.h
+   objects/transform_types.h
+   objects/vector_type.h
+   misc/argsparser.h
+   misc/builtin_stuff.h
+   misc/calcpaths.h
+   misc/common.h
+   misc/conic-common.h
+   misc/coordinate.h
+   misc/coordinate_system.h
+   misc/cubic-common.h
+   misc/equationstring.h
+   misc/goniometry.h
+   misc/guiaction.h
+   misc/kigcoordinateprecisiondialog.h
+   misc/kigfiledialog.h
+   misc/kiginputdialog.h
+   misc/kignumerics.h
+   misc/kigpainter.h
+   misc/kigtransform.h
+   misc/lists.h
+   misc/object_constructor.h
+   misc/object_hierarchy.h
+   misc/rect.h
+   misc/screeninfo.h
+   misc/special_constructors.h
+   misc/unit.h
+   modes/base_mode.h
+   modes/construct_mode.h
+   modes/dragrectmode.h
+   modes/edittype.h
+   modes/historydialog.h
+   modes/label.h
+   modes/linkslabel.h
+   modes/macro.h
+   modes/macrowizard.h
+   modes/mode.h
+   modes/moving.h
+   modes/normal.h
+   modes/popup/popup.h
+   modes/popup/objectchooserpopup.h
+   modes/popup/propertiesactionsprovider.h
+   modes/popup/objectchooserpopup.h
+   modes/popup/objecttypeactionsprovider.h
+   modes/popup/nameobjectactionsprovider.h
+   modes/popup/objectconstructoractionsprovider.h
+   modes/popup/builtindocumentactionsprovider.h
+   modes/popup/builtinobjectactionsprovider.h
+   modes/textlabelwizard.h
+   modes/typesdialog.h
+   filters/asyexporter.h
+   filters/asyexporteroptions.h
+   filters/asyexporterimpvisitor.h
+   filters/cabri-filter.h
+   filters/cabri-utils.h
+   filters/drgeo-filter.h
+   filters/exporter.h
+   filters/filter.h
+   filters/filters-common.h
+   filters/imageexporteroptions.h
+   filters/kgeo-filter.h
+   filters/kseg-filter.h
+   filters/latexexporter.h
+   filters/latexexporteroptions.h
+   filters/native-filter.h
+   filters/pgfexporterimpvisitor.h
+   filters/svgexporter.h
+   filters/svgexporteroptions.h
+   filters/xfigexporter.h
+   kig/kig_commands.h
+   kig/kig_document.h
+   kig/kig_part.h
+   kig/kig_view.h
 )
 
-if (Qt5XmlPatterns_FOUND)
+if (Qt${QT_MAJOR_VERSION}XmlPatterns_FOUND)
   set(kigpart_PART_SRCS ${kigpart_PART_SRCS}
   geogebra/geogebratransformer.cpp
   geogebra/geogebrasection.cpp
   filters/geogebra-filter.cpp)
-  qt5_add_resources(kigpart_PART_SRCS ${CMAKE_SOURCE_DIR}/geogebra/geogebra.qrc)
+  qt_add_resources(kigpart_PART_SRCS ${CMAKE_SOURCE_DIR}/geogebra/geogebra.qrc)
   add_definitions(-DWITH_GEOGEBRA=1)
-endif(Qt5XmlPatterns_FOUND)
+endif()
 
 ki18n_wrap_ui(kigpart_PART_SRCS
    modes/typeswidget.ui
@@ -245,9 +366,9 @@
 kcoreaddons_desktop_to_json(kigpart kig/kig_part.desktop)
 
 target_link_libraries(kigpart
-  Qt5::Gui
-  Qt5::Svg
-  Qt5::PrintSupport
+  Qt::Gui
+  Qt::Svg
+  Qt::PrintSupport
   KF5::Crash
   KF5::Parts
   KF5::I18n
@@ -255,25 +376,26 @@
   KF5::IconThemes
   KF5::ConfigWidgets
   KF5::Archive
-  ${KDE5_KUTILS_LIBS}
 )
 
 if(BoostPython_FOUND)
   target_link_libraries(kigpart ${BoostPython_LIBRARIES} ${KDE5_KTEXTEDITOR_LIBS})
 endif(BoostPython_FOUND)
 
-if (Qt5XmlPatterns_FOUND)
-  target_link_libraries(kigpart Qt5::XmlPatterns)
-endif(Qt5XmlPatterns_FOUND)
+if (Qt${QT_MAJOR_VERSION}XmlPatterns_FOUND)
+  target_link_libraries(kigpart Qt::XmlPatterns)
+endif(Qt${QT_MAJOR_VERSION}XmlPatterns_FOUND)
 
 ki18n_install(po)
 if (KF5DocTools_FOUND)
     kdoctools_install(po)
 endif()
-install(TARGETS kigpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
+install(TARGETS kigpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)
 install(FILES org.kde.kig.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # unit tests
 if (BUILD_TESTING)
   add_subdirectory(tests)
 endif ()
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== kig/CMakeLists.txt ===

include_directories(  ${CMAKE_CURRENT_BINARY_DIR}/..  )


# kig

set(kig_SRCS
  main.cpp
  kig.cpp
  kig.h
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kig.png")
ecm_add_app_icon(kig_SRCS ICONS ${ICONS_SRCS})
add_executable(kig ${kig_SRCS})

target_link_libraries(kig KF5::Parts KF5::ConfigCore KF5::Crash)

install(TARGETS kig ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( PROGRAMS org.kde.kig.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kig_part.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR} )
install( FILES kigui.rc kigpartui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/kig )

ecm_install_icons(ICONS
  22-apps-kig.png
  16-apps-kig.png
  32-apps-kig.png
  64-apps-kig.png
  48-apps-kig.png
  128-apps-kig.png
  sc-apps-kig.svgz
  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor
)

=== debian/changelog ===
kig (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:53 +0100

kig (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:06:12 +0100

kig (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:42 +0100

kig (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:57 +0100

kig (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 10:53:34 +0100

kig (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:13:32 +0900

kig (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 18:01:43 +0900

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 1.7~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5parts-dev (>= 5.90.0~),
               libkf5texteditor-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.5.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python3:any,
               qtbase5-dev (>= 5.4),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 23.04.1

=== debian/changelog ===
kig (4:23.04.1-0xneon+22.04+jammy+release+build15) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 20:48:06 +0000

kig (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:51:58 +0000

kig (4:23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:04:30 +0000

kig (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:16:57 +0000

kig (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:50:06 +0000

kig (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:27:32 +0000

kig (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:35:21 +0000

kig (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:54:57 +0000

kig (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:46:04 +0000

kig (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:56:28 +0000

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 1.7~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5parts-dev,
               libkf5syntaxhighlighting-dev (>= 5.78.0),
               libkf5texteditor-dev (>= 5.68.0),
               libkf5xmlgui-dev (>= 5.1~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.5.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kig
Vcs-Git: https://invent.kde.org/neon/kde/kig.git
Vcs-Browser: https://invent.kde.org/neon/kde/kig
Maintainer: Neon CI <neon@kde.org>

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 23.08.0

=== debian/changelog ===
kig (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:54:31 +0100

kig (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:34:18 +0100

kig (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:47:40 +0100

kig (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:17 +0100

kig (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:38:30 +0000

kig (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:17:29 -0600

kig (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:15:15 +0000

kig (4:22.12.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:22:01 +0000

kig (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:09:44 +0000

kig (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:06:02 +0000

kig (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:50:49 +0000

kig (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:09:25 +0000

## kig 23.08.1

=== debian/changelog ===
kig (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:59:35 +0100

## kig 23.08.4

=== debian/changelog ===
kig (4:23.08.4-0ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:45:17 +0000

kig (4:23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:48 +0100

kig (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:15:44 +0000

kig (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:35:20 +0000

kig (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:31:37 +0100

## kig 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})
@@ -43,7 +43,7 @@
 find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
 find_package(Qt${QT_MAJOR_VERSION}Svg ${QT_REQUIRED_VERSION} REQUIRED)
-find_package(Qt${QT_MAJOR_VERSION}PrintSupport ${QT_REQUIRED_VERSION}REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}PrintSupport ${QT_REQUIRED_VERSION} REQUIRED)
 find_package(Qt${QT_MAJOR_VERSION}XmlPatterns ${QT_REQUIRED_VERSION})
 
 
@@ -363,8 +363,6 @@
 add_library(kigpart MODULE ${kigpart_PART_SRCS})
 generate_export_header(kigpart)
 
-kcoreaddons_desktop_to_json(kigpart kig/kig_part.desktop)
-
 target_link_libraries(kigpart
   Qt::Gui
   Qt::Svg

=== kig/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,6 @@
 ########### install files ###############
 
 install( PROGRAMS org.kde.kig.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
-install( FILES kig_part.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR} )
 install( FILES kigui.rc kigpartui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/kig )
 
 ecm_install_icons(ICONS

=== debian/changelog ===
kig (4:23.08.5-0ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5printsupport5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:13 +0200

kig (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:05:27 +0000

kig (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:59:52 +0000

kig (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:06:57 +0100

kig (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:59:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: kig
 Section: kde
 Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Sune Vuorela <sune@debian.org>
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                dh-python,
@@ -19,25 +20,24 @@
                libkf5i18n-dev,
                libkf5iconthemes-dev,
                libkf5parts-dev,
-               libkf5syntaxhighlighting-dev (>= 5.78.0),
-               libkf5texteditor-dev (>= 5.68.0),
+               libkf5texteditor-dev,
                libkf5xmlgui-dev (>= 5.1~),
                libqt5svg5-dev (>= 5.4),
-               libqt5xmlpatterns5-dev (>= 5.5.1~),
+               libqt5xmlpatterns5-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4)
+               python3:any,
+               qtbase5-dev (>= 5.4),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kig
-Vcs-Git: https://invent.kde.org/neon/kde/kig.git
-Vcs-Browser: https://invent.kde.org/neon/kde/kig
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
 
 Package: kig
 Architecture: any
 Section: math
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Suggests: khelpcenter
 Description: interactive geometry tool
  Kig is an application for interactive geometric construction, allowing

## kig 24.12.0

=== debian/changelog ===
kig (4:24.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:06:52 +0100

kig (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:12:18 +0000

kig (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:08:40 +0000

kig (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 12:35:01 +0000

## kig 24.12.1

=== debian/changelog ===
kig (4:24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch away from transitional pkg-config build dependency.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 22:52:16 +0100

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 1.7~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5parts-dev (>= 5.90.0~),
               libkf5texteditor-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.5.1~),
               pkgconf,
               pkg-kde-tools (>> 0.15.15),
               python3:any,
               qtbase5-dev (>= 5.4),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 24.12.3

=== debian/changelog ===
kig (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:42:33 +0000

kig (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:17:27 +0000

kig (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * Switch build dep pkg-config -> pkgconf.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Jan 2025 06:49:02 +0000

kig (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:31:29 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,python3

## kig 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})
@@ -30,7 +30,6 @@
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.90.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(KF5Parts ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
@@ -66,7 +65,6 @@
 add_subdirectory( kig )
 add_subdirectory( mimetypes )
 add_subdirectory( macros )
-add_subdirectory( data )
 add_subdirectory( pykig )
 
 if(BoostPython_FOUND)
@@ -212,6 +210,8 @@
    kig/kig_part.cpp
    kig/kig_view.cpp
 
+   kig/kig_part.qrc
+
 
    objects/angle_type.h
    objects/arc_type.h
@@ -389,7 +389,7 @@
     kdoctools_install(po)
 endif()
 install(TARGETS kigpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)
-install(FILES org.kde.kig.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+install(FILES org.kde.kig.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # unit tests
 if (BUILD_TESTING)

=== debian/changelog ===
kig (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:43:44 +0200

=== debian/control ===
--- 
+++ 
@@ -24,11 +24,11 @@
                libkf5xmlgui-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.4),
                libqt5xmlpatterns5-dev (>= 5.5.1~),
+               pkg-kde-tools (>> 0.15.15),
                pkgconf,
-               pkg-kde-tools (>> 0.15.15),
                python3:any,
                qtbase5-dev (>= 5.4),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kig
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kig
